[sword-devel] compiling GnomeSword

Chris Umphress umphress at gmail.com
Tue Nov 16 22:05:50 MST 2004

> > When I try to compile gnomesword (2.0.0), I get the following error:
> >
> > bibletext_dialog.c: In function `create_nav_toolbar':
> > bibletext_dialog.c:917: warning: assignment makes pointer from integer
> > without a cast
> > bibletext_dialog.c:928: error: invalid type argument of `->'
> >
> > I get this whether I'm using gal-2.0 or gal-2.2. Any ideas?
> It would be nice if you informed us a bit more about which distribution
> you are using and other relevant details like that.

I'm running Slackware 10 + Dropline Gnome (Gnome desktop), and I was
talking to someone else who was having the same problem while running
archlinux and blackbox (w/ the Gnome libraries installed). For the
most part, I've tried symlinks and/or updating configure.in. Neither
have been successful.

Relative version numbers on my system:

Slackware 10 + Dropline
Gnome 2.8
gtkhtml (3.2.2 initially, installed 3.5 in attempt to work with newer
gal2 version)
gal (2.2 initally, 2.0 added for install)


Chris Umphress <http://daga.dyndns.org/>

More information about the sword-devel mailing list